# kchashdb.h File Reference

file hash database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcdb.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcplantdb.h>`

## Classes

class | kyotocabinet::HashDB
| File hash database. More...
class | kyotocabinet::HashDB::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::HashDB::Record
| Record data.
struct | kyotocabinet::HashDB::FreeBlock
| Free block data.
struct | kyotocabinet::HashDB::FreeBlockComparator
| Comparator for free blocks.
class | kyotocabinet::HashDB::Repeater
| Repeating visitor.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Typedefs

typedef PlantDB< HashDB, BasicDB::TYPETREE > | kyotocabinet::TreeDB
| An alias of the file tree database.

## Detailed Description

file hash database